Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.transform
Class DecryptTransform

`java.lang.Object
oracle.security.xmlsec.transform.XSTransformer
oracle.security.xmlsec.transform.DecryptTransform`

public class DecryptTransform
extends XSTransformer

Internal use only. Applies the XML Decryption Transform.

Note: This transform relies on proper configuration of the `KeyRetriever` facilities so that decryption keys may be obtained using the contents of any `dsig:KeyInfo` elements found in the `xenc:EncrypteData`.

Since:
  1.3

Field Summary

Fields inherited from class oracle.security.xmlsec.transform.XSTransformer
`transform`

Constructor Summary
`DecryptTransform(XSAlgorithmIdentifier trans)` Creates a new `DecryptTransform` instance.

Method Summary
`java.lang.String` | `getAlgorithmURI()` Returns the URI string identifying the Transform algorithm.
`protected XMLContainer` | `transform(XMLContainer source)` Applies a Decryption transformation to the given `XMLContainer` and returns the result in a new `XMLContainer`.

Methods inherited from class oracle.security.xmlsec.transform.XSTransformer
`applyTransforms, getInstance, getInstance, getTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecryptTransform

    public DecryptTransform(XSAlgorithmIdentifier trans)

  Creates a new `DecryptTransform` instance.
Parameters:
  `trans` - A `XSAlgorithmIdentifier` object containing an optional list of `dcrpt:Except` elements.
Throws:
  `java.lang.IllegalArgumentException` - If the `XSAlgorithmIdentifier` is not a valid Decryption Transform.

Method Detail

### getAlgorithmURI

    public java.lang.String getAlgorithmURI()

  Description copied from class: `XSTransformer`
  Returns the URI string identifying the Transform algorithm.
  Specified by:
    `getAlgorithmURI` in class `XSTransformer`
  Returns:
    This Transform's URI string.

### transform

    protected XMLContainer transform(XMLContainer source)
                              throws TransformationException

  Applies a Decryption transformation to the given `XMLContainer` and returns the result in a new `XMLContainer`.
  Specified by:
    `transform` in class `XSTransformer`
  Parameters:
    `source` - A `XMLContainer` on which the transform will operate.
  Returns:
    A `XMLContainer` containing the transform result, which will be a node-set if the algoritym URI is `XMLURI.alg_decryptXML`, or an octet stream if the algorithm URI is `XMLURI.alg_decryptBinary`.
  Throws:
    `TransformationException` - If an error occurs during the transformation process.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.